/*
 * The MIT License
 *
 * Original work sponsored and donated by The Danish Health Data Authority (http://www.sundhedsdatastyrelsen.dk)
 *
 * Copyright (C) 2021 The Danish Health Data Authority (http://www.sundhedsdatastyrelsen.dk)
 *
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies
 * of the Software, and to permit persons to whom the Software is furnished to do
 * so, subject to the following conditions:
 *
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
package dk.sundhedsdatastyrelsen.cbs.ddv;

import java.time.LocalDateTime;

public class PlannedVaccination {

    long plannedVaccinationIdentifier;
    long plannedVaccinationVersionIdentifier;
    long vaccineIdentifier;
    String vaccineName;
    long plannedVaccinationIndex;
    LocalDateTime plannedVaccinationDateTime;
    EffectuatedItem effectuatedItem;

    public long getPlannedVaccinationIdentifier() {
        return plannedVaccinationIdentifier;
    }

    public void setPlannedVaccinationIdentifier(long plannedVaccinationIdentifier) {
        this.plannedVaccinationIdentifier = plannedVaccinationIdentifier;
    }

    public long getPlannedVaccinationVersionIdentifier() {
        return plannedVaccinationVersionIdentifier;
    }

    public void setPlannedVaccinationVersionIdentifier(long plannedVaccinationVersionIdentifier) {
        this.plannedVaccinationVersionIdentifier = plannedVaccinationVersionIdentifier;
    }

    public long getVaccineIdentifier() {
        return vaccineIdentifier;
    }

    public void setVaccineIdentifier(long vaccineIdentifier) {
        this.vaccineIdentifier = vaccineIdentifier;
    }

    public String getVaccineName() {
        return vaccineName;
    }

    public void setVaccineName(String vaccineName) {
        this.vaccineName = vaccineName;
    }

    public long getPlannedVaccinationIndex() {
        return plannedVaccinationIndex;
    }

    public void setPlannedVaccinationIndex(long plannedVaccinationIndex) {
        this.plannedVaccinationIndex = plannedVaccinationIndex;
    }

    public LocalDateTime getPlannedVaccinationDateTime() {
        return plannedVaccinationDateTime;
    }

    public void setPlannedVaccinationDateTime(LocalDateTime plannedVaccinationDateTime) {
        this.plannedVaccinationDateTime = plannedVaccinationDateTime;
    }

    public EffectuatedItem getEffectuatedItem() {
        return effectuatedItem;
    }

    public void setEffectuatedItem(EffectuatedItem effectuatedItem) {
        this.effectuatedItem = effectuatedItem;
    }
}
