/*
 * The MIT License
 *
 * Original work sponsored and donated by The Danish Health Data Authority (http://www.sundhedsdatastyrelsen.dk)
 *
 * Copyright (C) 2021 The Danish Health Data Authority (http://www.sundhedsdatastyrelsen.dk)
 *
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies
 * of the Software, and to permit persons to whom the Software is furnished to do
 * so, subject to the following conditions:
 *
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
package dk.sundhedsdatastyrelsen.cbs.service.webservice;

import dk.sundhedsdatastyrelsen.cbs.test.CbsTest;
import dk.sundhedsdatastyrelsen.coronapass._2021._03.coronapass_web_service.GetCoronaPassRequest;
import dk.sundhedsdatastyrelsen.coronapass._2021._03.coronapass_web_service.GetCoronaPassResponse;
import org.junit.jupiter.api.Test;

import static org.junit.jupiter.api.Assertions.assertNotNull;
import static org.junit.jupiter.api.Assertions.assertNull;


@CbsTest
class CoronaPassWebServiceTest {
    private final GetCoronaPassRequest request = new GetCoronaPassRequest();
    private final CoronaPassWebService coronaPassWebService = new CoronaPassWebService();

    @Test
    void test_getCoronaPass_cache_hit() {
        System.setProperty("test.cache.hit", "true");
        GetCoronaPassResponse coronaPass = coronaPassWebService.getCoronaPass(request);
        assertNotNull(coronaPass);
        assertNull(coronaPass.getFutureResult());
    }

    @Test
    void test_getCoronaPass_cache_miss() {
        System.setProperty("test.cache.hit", "false");
        GetCoronaPassResponse coronaPass = coronaPassWebService.getCoronaPass(request);
        assertNotNull(coronaPass);
        assertNotNull(coronaPass.getFutureResult());
        assertNotNull(coronaPass.getFutureResult().getJobId());

        assertNull(coronaPass.getCoronaPasses());
    }
}
